> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Update an Automation Action runner

`PUT https://api.pagerduty.com/automation_actions/runners/{id}`

Update an Automation Action runner

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`) — required

| Field | Type | Required | Description |
|---|---|---|---|
| `runner` | one of: object \| object | yes |  |
| `runner.name` | string |  | (RunnerSidecarBody) Max length: 255. |
| `runner.description` | string |  | (RunnerSidecarBody) Max length: 1024. |
| `runner.name` | string |  | (RunnerRunbookBody) Max length: 255. |
| `runner.description` | string |  | (RunnerRunbookBody) Max length: 1024. |
| `runner.runbook_base_uri` | string |  | (RunnerRunbookBody) The base URI of the Runbook server to connect to. May only contain alphanumeric characters, periods, underscores and dashes. Specified as the subdomain portion of an RBA host, as in <runbook_base_uri>.runbook.pagerduty.cloud. Max length: 255. |
| `runner.runbook_api_key` | string |  | (RunnerRunbookBody) The API key to connect to the Runbook server with. If omitted, the previously stored value will remain unchanged. Max length: 64. |

Example: request

```json
{
  "runner": {
    "name": "us-west-2 prod sidecar runner",
    "description": "us-west-2 prod sidecar runner provisioned by SRE"
  }
}
```

## Response 200

Runner information

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `runner` | object | yes |  |
| `runner.id` | string | yes | Read-only. |
| `runner.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `runner.type` | string | yes | A string that determines the schema of the object. This must be the standard name for the entity, suffixed by `_reference` if the object is a reference. Read-only. |
| `runner.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `runner.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `runner.runner_type` | string | yes | sidecar -- The runner is backed by an external sidecar that polls for invocations. runbook -- The runner communicates directly with a runbook instance. One of: `sidecar`, `runbook`. |
| `runner.name` | string | yes |  |
| `runner.description` | string |  |  |
| `runner.last_seen` | string (date-time) |  |  |
| `runner.status` | string | yes | Configured -- Runner has connected to the backend at least once NotConfigured -- Runner has never connected to backend. One of: `Configured`, `NotConfigured`. |
| `runner.creation_time` | string (date-time) | yes |  |
| `runner.runbook_base_uri` | string |  | The base URI of the Runbook server to connect to. May only contain alphanumeric characters, periods, underscores and dashes. Specified as the subdomain portion of an RBA host, as in <runbook_base_uri>.runbook.pagerduty.cloud. Max length: 255. |
| `runner.teams` | array of object |  | The list of teams associated with the Runner. Read-only. |
| `runner.teams[].id` | string | yes | Read-only. |
| `runner.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `runner.teams[].type` | string | yes | One of: `team_reference`. |
| `runner.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `runner.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `runner.privileges` | object |  |  |
| `runner.privileges.permissions` | array of string | yes |  |
| `runner.associated_actions` | object |  | References to at most 3 actions associated with the Runner. Use appropriate endpoints to retrieve the full list of associated actions. |
| `runner.associated_actions.actions` | array of object | yes |  |
| `runner.associated_actions.actions[].id` | string | yes | Read-only. |
| `runner.associated_actions.actions[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `runner.associated_actions.actions[].type` | string | yes | One of: `action_reference`. |
| `runner.associated_actions.actions[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `runner.associated_actions.actions[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `runner.associated_actions.more` | boolean | yes | Indicates whether more actions exist for the Runner. |
| `runner.metadata` | object |  | Additional metadata. |

Example: Response Example

```json
{
  "runner": {
    "id": "01DA2MLYN0J5EFC1LKWXUKDDKT",
    "name": "us-west-2 prod sidecar runner",
    "summary": "us-west-2 prod sidecar runner",
    "type": "runner",
    "description": "us-west-2 prod sidecar runner provisioned by SRE",
    "creation_time": "2022-10-21T19:42:52.127369Z",
    "runner_type": "sidecar",
    "status": "Configured",
    "teams": [
      {
        "id": "PQ9K7I8",
        "type": "team_reference"
      }
    ],
    "privileges": {
      "permissions": [
        "read",
        "update"
      ]
    }
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 402

Account does not have the abilities to perform the action. Please review the response for the required abilities.
You can also use the [Abilities API](#resource_Abilities) to determine what features are available to your account.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 500

Internal Server Error the PagerDuty server experienced an error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
